Bug 1415278 - [dev-preview] Elasticsearch is down
Summary: [dev-preview] Elasticsearch is down
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Logging
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Cantrill
QA Contact: Xia Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 18:12 UTC by Will Gordon
Modified: 2017-01-31 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 15:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Will Gordon 2017-01-20 18:12:53 UTC
Description of problem:
When viewing logs through Kibana, it's reporting that it can't connect to Elasticsearch
https://logs.preview.openshift.com/app/kibana


Version-Release number of selected component (if applicable):
v3.4.0.39 (online version 3.4.0.13)

How reproducible:
Everytime

Steps to Reproduce:
1. Visit https://logs.preview.openshift.com/app/kibana
2. View status page
3.

Actual results:
Viewable logs


Expected results:
Unable to connect to Elasticsearch at https://logging-es:9200.


Additional info:

Comment 1 Jeff Cantrill 2017-01-23 14:25:30 UTC
@Will,

Can you please post additional information:

1. Run `oadm diagnostics AggregatedLogging`
2. Post logs from `oc logs <LOGGING POD NAME>
3. `oc describe pod <LOGGING POD NAME>

Comment 2 Stefanie Forrester 2017-01-31 15:37:10 UTC
Logging and metrics have not been installed in this environment yet. There was an attempt to install it, but more work needs to be done on the install process first. So you could be seeing some leftover components of logging that are not functional yet.

Comment 3 Will Gordon 2017-01-31 15:39:59 UTC
Ahh, ok...that makes sense. Thank you for following up!


Note You need to log in before you can comment on or make changes to this bug.